<html>
<head>
<title>OGRE: Ogre::NumericKeyFrame Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1NumericKeyFrame.html">NumericKeyFrame</a></div>
<h1>Ogre::NumericKeyFrame Class Reference</h1><!-- doxytag: class="Ogre::NumericKeyFrame" --><!-- doxytag: inherits="Ogre::KeyFrame" -->Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores any numeric value.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::NumericKeyFrame:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1NumericKeyFrame-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#d78806d737208d08c84acc92cbc437a6">NumericKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *parent, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> time)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead.  <a href="#d78806d737208d08c84acc92cbc437a6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#9e05848ca0aca03fb7a6e300c7d4b9f8">~NumericKeyFrame</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#6c41c6428249228c0e58a1767b286f96">getValue</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the value at this keyframe.  <a href="#6c41c6428249228c0e58a1767b286f96"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#e565dbf6c0679a659a9ef03747db4b36">setValue</a> (const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;val)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set the value at this keyframe.  <a href="#e565dbf6c0679a659a9ef03747db4b36"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#337922661c2c589ffa7ed97293d6653b">_clone</a> (<a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *newParent) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Clone a keyframe (internal use only).  <a href="#337922661c2c589ffa7ed97293d6653b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#bc6cab6ca252dffa5f7955fbf25707f8">getTime</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the time of this keyframe in the animation sequence.  <a href="#bc6cab6ca252dffa5f7955fbf25707f8"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1NumericKeyFrame.html#49314a3f085a20499438b3c56e01f79e">mValue</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">mTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">mParentTrack</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Specialised <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> which stores any numeric value. 
<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00074">74</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="d78806d737208d08c84acc92cbc437a6"></a><!-- doxytag: member="Ogre::NumericKeyFrame::NumericKeyFrame" ref="d78806d737208d08c84acc92cbc437a6" args="(const AnimationTrack *parent, Real time)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::NumericKeyFrame::NumericKeyFrame           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>time</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default constructor, you should not call this but use <a class="el" href="classOgre_1_1AnimationTrack.html#4517a1b16d6cb601754d98841bb4d7d6" title="Creates a new KeyFrame and adds it to this animation at the given time index.">AnimationTrack::createKeyFrame</a> instead. 
<p>

</div>
</div><p>
<a class="anchor" name="9e05848ca0aca03fb7a6e300c7d4b9f8"></a><!-- doxytag: member="Ogre::NumericKeyFrame::~NumericKeyFrame" ref="9e05848ca0aca03fb7a6e300c7d4b9f8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::NumericKeyFrame::~NumericKeyFrame           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00079">79</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="6c41c6428249228c0e58a1767b286f96"></a><!-- doxytag: member="Ogre::NumericKeyFrame::getValue" ref="6c41c6428249228c0e58a1767b286f96" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a>&amp; Ogre::NumericKeyFrame::getValue           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the value at this keyframe. 
<p>

</div>
</div><p>
<a class="anchor" name="e565dbf6c0679a659a9ef03747db4b36"></a><!-- doxytag: member="Ogre::NumericKeyFrame::setValue" ref="e565dbf6c0679a659a9ef03747db4b36" args="(const AnyNumeric &amp;val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::NumericKeyFrame::setValue           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>val</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set the value at this keyframe. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>All keyframe values must have a consistent type. </dd></dl>

</div>
</div><p>
<a class="anchor" name="337922661c2c589ffa7ed97293d6653b"></a><!-- doxytag: member="Ogre::NumericKeyFrame::_clone" ref="337922661c2c589ffa7ed97293d6653b" args="(AnimationTrack *newParent) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a>* Ogre::NumericKeyFrame::_clone           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&nbsp;</td>
          <td class="paramname"> <em>newParent</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Clone a keyframe (internal use only). 
<p>

<p>Reimplemented from <a class="el" href="classOgre_1_1KeyFrame.html#f7829d77256717381eb1928bbbce7166">Ogre::KeyFrame</a>.</p>

</div>
</div><p>
<a class="anchor" name="bc6cab6ca252dffa5f7955fbf25707f8"></a><!-- doxytag: member="Ogre::NumericKeyFrame::getTime" ref="bc6cab6ca252dffa5f7955fbf25707f8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::KeyFrame::getTime           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the time of this keyframe in the animation sequence. 
<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00060">60</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="49314a3f085a20499438b3c56e01f79e"></a><!-- doxytag: member="Ogre::NumericKeyFrame::mValue" ref="49314a3f085a20499438b3c56e01f79e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1AnyNumeric.html">AnyNumeric</a> <a class="el" href="classOgre_1_1NumericKeyFrame.html#49314a3f085a20499438b3c56e01f79e">Ogre::NumericKeyFrame::mValue</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00092">92</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="34af076d7fda5e0da5fd4be8368a28a5"></a><!-- doxytag: member="Ogre::NumericKeyFrame::mTime" ref="34af076d7fda5e0da5fd4be8368a28a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1KeyFrame.html#34af076d7fda5e0da5fd4be8368a28a5">Ogre::KeyFrame::mTime</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00067">67</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e9b9c257bf51af1be9bec3e8f50b4a41"></a><!-- doxytag: member="Ogre::NumericKeyFrame::mParentTrack" ref="e9b9c257bf51af1be9bec3e8f50b4a41" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>* <a class="el" href="classOgre_1_1KeyFrame.html#e9b9c257bf51af1be9bec3e8f50b4a41">Ogre::KeyFrame::mParentTrack</a><code> [protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreKeyFrame_8h-source.html#l00068">68</a> of file <a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreKeyFrame_8h-source.html">OgreKeyFrame.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:13 2008
</p>
</body>
</html>
